#
# spec file for package transfig (Version 3.2.4)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils e2fsprogs expat file filesystem fillup findutils flex fontconfig fontconfig-devel gawk gcc gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd latex-ucs less libacl libattr libcom_err libgcc libjpeg libjpeg-devel libnetpbm libnscd libpng libpng-devel libstdc++ libtiff libtool libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg netpbm openldap2-client openssl pam pam-modules patch perl permissions popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd te_ams te_latex tetex texinfo timezone unzip util-linux vim xorg-x11 xorg-x11-devel xorg-x11-libs zlib zlib-devel

Name:           transfig
BuildRequires:  libjpeg-devel libpng-devel netpbm te_ams te_latex xorg-x11 xorg-x11-devel
License:        X11/MIT
Group:          Productivity/Graphics/Convertors
Provides:       transfig.3.2.3d
Requires:       netpbm
Autoreqprov:    on
Version:        3.2.4
Release:        80.2
Summary:        Graphic Converter
Source:         transfig.%{version}.tar.bz2
Patch0:         transfig.%{version}.dif
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
TransFig is a set of tools for creating TeX documents with graphics
that are portable in the sense that they can be printed in a wide
variety of environments.

The transfig directory contains the source for the transfig command
which generates a Makefile which translates Fig code to various
graphics description languages using the fig2dev program.  In previous
releases, this command was implemented as a shell script.

Documentation: man transfig



Authors:
--------
    Anthony Starks     <ajs@merck.com>
    George Ferguson    <ferguson@cs.rochester.edu>
    Herbert Bauer      <heb@regent.e-technik.tu-muenchen.de>
    Micah Beck         <supoj@sally.utexas.edu>
    Supoj Sutantavibul <beck@cs.utk.ecu>

%debug_package
%prep
%setup -q -n transfig.%{version}
%patch
xmkmf -a

%build
make CCOPTIONS="$RPM_OPT_FLAGS -fno-strict-aliasing -w"
make -C doc/manual/
rm -f   doc/manual/*.{log,toc,div}

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/X11R6/bin
mkdir -p $RPM_BUILD_ROOT/usr/X11R6/lib/X11/xfig/fig2dev
mkdir -p $RPM_BUILD_ROOT/usr/X11R6/lib/X11/xfig/bitmaps
make DESTDIR=$RPM_BUILD_ROOT install      CCOPTIONS="$RPM_OPT_FLAGS -fno-strict-aliasing -w"
make DESTDIR=$RPM_BUILD_ROOT install.man  CCOPTIONS="$RPM_OPT_FLAGS -fno-strict-aliasing -w"
mkdir -p $RPM_BUILD_ROOT%{_docdir}/transfig/manual
install -m 644 [CLNR]*      $RPM_BUILD_ROOT%{_docdir}/transfig/
install -m 644 doc/manual/* $RPM_BUILD_ROOT%{_docdir}/transfig/manual/

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
/usr/X11R6/bin/fig2dev
/usr/X11R6/bin/fig2ps2tex
/usr/X11R6/bin/fig2ps2tex.sh
/usr/X11R6/bin/pic2tpic
/usr/X11R6/bin/transfig
%dir /usr/X11R6/lib/X11/xfig
/usr/X11R6/lib/X11/xfig/fig2dev/
/usr/X11R6/lib/X11/xfig/bitmaps/
%doc /usr/X11R6/man/man1/fig2dev.1x.gz
%doc /usr/X11R6/man/man1/fig2ps2tex.1x.gz
%doc /usr/X11R6/man/man1/pic2tpic.1x.gz
%doc /usr/X11R6/man/man1/transfig.1x.gz
%doc %{_docdir}/transfig/

%changelog -n transfig
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Mon Feb 28 2005 - meissner@suse.de
- -Wno-all is actually -w (all warnings off).
  Use $RPM_OPT_FLAGS to get other architecture flags.
* Thu Mar 11 2004 - werner@suse.de
- Avoid extrem long build logs
* Mon Feb 02 2004 - werner@suse.de
- Update to 3.2.4 (fix bug #34194)
* Sun Jan 11 2004 - adrian@suse.de
- build as user
* Fri Jun 13 2003 - kukuk@suse.de
- Add missing directory to filelist
* Fri May 23 2003 - coolo@suse.de
- use BuildRoot
* Fri Nov 08 2002 - werner@suse.de
- Remove XCOMM definition to make new cpp happy
* Mon Jun 17 2002 - meissner@suse.de
- renamed text() to _text() to avoid conflicts of assemblername
  and sectionname .text on ppc64.
* Fri Feb 01 2002 - ro@suse.de
- changed neededforbuild <libpng> to <libpng-devel-packages>
* Mon Dec 10 2001 - werner@suse.de
- Update to version 3.2.3d
* Tue Aug 21 2001 - werner@suse.de
- Fix bug #9024: echo style for fig2ps2tex should be bsd
* Fri Oct 20 2000 - werner@suse.de
- Add missed `$'
* Wed Oct 18 2000 - werner@suse.de
- Avoid epsfig style, use normal graphics style (bug# 4168)
  Fri Sep 15 17:01:53 CEST 2000 - werner
- Update to 3.2.3c to fit xfig version
  Wed May 31 16:26:42 CEST 2000 - werner
- Use %%{_defaultdocdir}
* Mon Mar 27 2000 - uli@suse.de
- fixed minor blooper in fig2dev/Imakefile (now calls mkdir with -p)
* Mon Mar 27 2000 - werner@suse.de
- Avoid sparc nasties
* Fri Mar 24 2000 - werner@suse.de
- New version 3.2.3 for the new xfig version
- Fix some common nasties
- Disable some doubles like getopt
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Thu Oct 29 1998 - ro@suse.de
- update to 3.2.1
* Thu Sep 17 1998 - ro@suse.de
- dont redeclare sys_errlist for glibc
* Fri Oct 10 1997 - florian@suse.de
- update to version 3.2
* Wed Oct 08 1997 - ro@suse.de
- Prepared package for automatic build
* Tue May 27 1997 - florian@suse.de
- update to version 3.2.0-beta2
